<% include partials/_header %>

    <div class="container-fluid">
        <div class="row">
            <!--FORM-->
            <div class="col-md-5">
                <div class="card">
                    <div class="card-body">
                        <form action="/add" method="POST">
                            <div class="form-group">
                                <input type="text" name="title" placeholder="Insert title" class="form-control">
                            </div>
                            <div class="form-group">
                                <textarea name="description" cols="30" class="form-control" placeholder="Insert description"></textarea>

                            </div>
                            <button type="submit" class="btn btn-primary btn-block">Add</button>
                        </form>
                    </div>
                </div>
            </div>
            <!--LIST-->
            <div class="col-md-7">
                <table class="table table-bordered table-hover">
                    <thead>
                        <tr>
                            <th>No.</th>
                            <th>Title</th>
                            <th>Description</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <% for(var i=0; i < tasks.length; i++){ %>
                            <tr>
                                <td>
                                    <%= i+1 %>
                                </td>
                                <td>
                                    <%= tasks[i].title %>
                                </td>
                                <td>
                                    <%= tasks[i].description %>
                                </td>
                                <td>
                                    <a href="/done/<%= tasks[i]._id %>" class="btn <%= tasks[i].status ? 'btn-success' : 'btn-dark' %>">Done</a>
                                    <a href="/delete/<%= tasks[i]._id %>" id="delete" class="btn btn-danger">Delete</a>
                                    <a href="/edit/<%= tasks[i]._id %>" class="btn btn-primary">Edit</a>
                                </td>
                            </tr>
                            <% } %>
                    </tbody>
                </table>
            </div>
        </div>
    </div>


    <% include partials/_footer %>